EDIT - bug #7629

creating a typification only registration should not be possible if the names protologue is in the
current workingset

08/03/2018 09:20 PM - Andreas Kohlbecker
Description

Related issues:
Related to EDIT - bug #7628: Create registration for existing name (typificat... Closed
Related to EDIT - bug #7630: blocking registration relations get lost after s... Closed

Associated revisions

Revision 11247507 - 08/06/2018 12:04 PM - Andreas Kohlbecker

fix #7629 restricting new registrations to those which make sense in the current workingset

History

#1 - 08/03/2018 09:20 PM - Andreas Kohlbecker

- Related to bug #7628: Create registration for existing name (typification only) creates two registratios added

#2 - 08/06/2018 12:05 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|11247507b69b5b1c062e3d6469d37b5e5cead4b3.

#3 - 08/06/2018 12:16 PM - Andreas Kohlbecker
- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber
Hi Henning,

I modified the workflow for creating new registrations. | introduced more constraints regarding the type of registration which can be created in
aworkingset.

* A "name and typification" registration only can be created if (A) there is no other registration in the system and (B) if the nomenclatural reference
corresponds to the reference of the workingset.
e A "typification only" registration can only be created if the current workingset does not contains the protologe. In case the registration for the
name is missing the system creates the missing registration as blocking registration of the new "typification only" registration
We could add a further constraint
¢ A "typification only" registration can not be created if the working set is not yet containing a "typification only" registration with this name.

The Ul has also changed in order to behave according to the new rules.

Cheers
Andreas

#4 - 08/06/2018 12:18 PM - Andreas Kohlbecker
- Related to bug #7630: blocking registration relations get lost after saving adding a typedesignation to a newly created "typification only" registration

added

#5 - 08/20/2018 01:33 PM - Wolf-Henning Kusber
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-vaadin/revisions/11247507b69b5b1c062e3d6469d37b5e5cea94b3

- Status changed from Resolved to Closed
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100

Tested and works.
